package com.web.rocketmq.consumer;

import com.hai.common.exception.ErrorCode;
import com.hai.common.exception.ErrorHelp;
import com.hai.common.exception.SysCode;
import com.hai.entity.HighOrder;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
@RocketMQMessageListener(consumerGroup = "order-create-group", topic = "order-topic",selectorExpression = "create")
public class OrderCreateConsumer implements RocketMQListener<Object> {

    @Resource
    private RocketMQTemplate rocketMQTemplate;

    @Override
    public void onMessage(Object order) {
        try {
            //throw ErrorHelp.genException(SysCode.System, ErrorCode.COMMON_ERROR, "未找到商户");

            /*     System.out.println(JSONObject.toJSONString(order));*/
            // System.out.println(DateUtil.date2String(new Date(), "yyyy-MM-dd HH:mm:ss") + " 创建订单：" + order.getOrderNo());

/*            org.springframework.messaging.Message message = MessageBuilder.withPayload(order).build();

            rocketMQTemplate.syncSend("order-topic:cancel",
                    message,
                    this.rocketMQTemplate.getProducer().getSendMsgTimeout(),
                    4);
                System.out.println(DateUtil.date2String(new Date(), "yyyy-MM-dd HH:mm:ss") + "发送成功");*/

        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
